Bug 520235 - update to 3.1.3 and ship all runtime targets
Summary: update to 3.1.3 and ship all runtime targets
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: antlr3
Version: 12
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Milos Jakubicek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 429551
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-29 14:05 UTC by Milos Jakubicek
Modified: 2010-04-03 04:51 UTC (History)
3 users (show)

Fixed In Version: antlr3-3.2-4.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-11 13:28:35 UTC


Attachments (Terms of Use)
new spec file (9.30 KB, text/plain)
2010-01-30 20:59 UTC, Milos Jakubicek
no flags Details
new spec file (9.57 KB, text/plain)
2010-01-31 13:44 UTC, Milos Jakubicek
no flags Details
new spec file (10.52 KB, text/plain)
2010-02-01 04:21 UTC, Milos Jakubicek
no flags Details
Patch Java runtime build to include OSGi meta-information in the manifest. (4.43 KB, text/plain)
2010-03-03 20:49 UTC, Mat Booth
no flags Details

Description Milos Jakubicek 2009-08-29 14:05:15 UTC
I'm afraid there is currently a lot of work to be done on the antlr3 package:(

1) We should possibly ship all the runtime targets (not only python)

2) The package should be updated to current (3.1.3). This is actually a big problem since:

- upstream switched to use maven and even more, screwed up the build process in 3.1.3 (missing pom.xml) -- try the snapshot of 3.1.4.
- it depends on buildnumber-maven-plugin, which is currently not in Fedora. Trying to package it is currently impossible as it requires maven >= 2.0.6, which means that all this depends on the nightmare going on with updating maven2 (see the blocking bug)

As I really need the 3.1.3 (contains some very important bugfixes in the C target), I'm willing to take care about this. As soon as we have maven 2.0.8 usable in rawhide, I'll submit maven-plugin-buildnumber for review and try to update antlr3 then.

Sounds like a plan to you, do you agree?

Comment 1 Colin Walters 2009-08-29 18:53:42 UTC
Sounds good (I'm not at the moment actively developing my toy project which used the Java antlr3).

Comment 2 Milos Jakubicek 2009-08-29 22:07:10 UTC
Well, I've requested comaintaintership in pkgdb as I'm using antlr for an important long-term project (we're currently moving from antlr2 to antlr3), please approve the request (though I'm a provenpackager and have the commit access anyway).

Comment 3 Bug Zapper 2009-11-16 11:49:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Milos Jakubicek 2010-01-30 20:59:31 UTC
Created attachment 387776 [details]
new spec file

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1954158

Comment 5 Milos Jakubicek 2010-01-31 13:44:39 UTC
Created attachment 387836 [details]
new spec file

Posting new spec file with some minor fixes (ldconfig call in the C runtime was missing, java requires missing in the java packages). Please note also that the antlr3 wrapper script must now contain also "antlr3-runtime.jar" in BASE_JARS.

Comment 6 Milos Jakubicek 2010-02-01 04:21:48 UTC
Created attachment 387968 [details]
new spec file

Yet a newer specfile: I've built the man pages and doxygen API documentation for the C target -- this is huge, hence in a subpackage.

Also trying to make the tests running...

Comment 7 Mat Booth 2010-02-20 15:47:48 UTC
Hi, does the maven build of the antlr3 jar include the OSGi meta information in the manifest file?

When the manifest file is generated correctly, it should look something like this, but with the appropriate version numbers, etc:


Manifest-Version: 1.0

Bundle-Vendor: antlr.org
Bundle-Localization: plugin

Bundle-RequiredExecutionEnvironment: J2SE-1.3

Bundle-Name: ANTLR Runtime
Bundle-SymbolicName: org.antlr.runtime

Export-Package: org.antlr.runtime;version="3.0.0",org.antlr.runtime.de

 bug;version="3.0.0",org.antlr.runtime.misc;version="3.0.0",org.antlr.

 runtime.tree;version="3.0.0"

Bundle-Version: 3.0.0.v200803061811

Bundle-ManifestVersion: 2

Comment 8 Mat Booth 2010-02-20 15:50:46 UTC
Stupid line endings, I wish BZ had a preview button.

When the manifest file is generated correctly, it should look something like
this, but with the appropriate version numbers, etc:


Manifest-Version: 1.0
Bundle-Vendor: antlr.org
Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.3
Bundle-Name: ANTLR Runtime
Bundle-SymbolicName: org.antlr.runtime
Export-Package: org.antlr.runtime;version="3.0.0",org.antlr.runtime.de
 bug;version="3.0.0",org.antlr.runtime.misc;version="3.0.0",org.antlr.
 runtime.tree;version="3.0.0"
Bundle-Version: 3.0.0.v200803061811
Bundle-ManifestVersion: 2

Comment 9 Milos Jakubicek 2010-02-20 17:08:33 UTC
Nope, I see only this in my locally built MANIFEST.MF:

Manifest-Version: 1.0
Archiver-Version: Plexus Archiver
Created-By: Apache Maven
Built-By: milos
Build-Jdk: 1.6.0_0

Is there any maven target which should generate the rest of the information?
How much is it important, actually? Everything works fine even without this.

Comment 10 Mat Booth 2010-02-20 17:21:55 UTC
It is not important to the operation of ANTLR, but it is necessary if you want to use ANTLR within an OSGi framework such as Equinox or Apache Felix (both of which are shipped in Fedora).

The most likely use-case would be if someone wanted to package an Eclipse plug-in that makes use of ANTLR. For example, as the Eclipse DLTK maintainer, I would very much like to be able to build the DLTK Javascript editor plug-in. :-)

Comment 11 Mat Booth 2010-02-20 17:24:25 UTC
You can see an example of adding OSGi information to a manifest file in the Jakarta Commons maven builds. Specifically see this file:

/usr/share/maven2/default_poms/JPP-commons-parent.pom

Which is supplied by the maven2-common-poms package.

Comment 12 Milos Jakubicek 2010-02-20 17:40:34 UTC
OK, I'll look at it (if you'd like to do that, you'd be welcomed!:)

Comment 13 Mat Booth 2010-02-20 17:50:19 UTC
(In reply to comment #12)
> OK, I'll look at it (if you'd like to do that, you'd be welcomed!:)    

Many thanks.

If I find the time to work on this over the next few weeks I will post here and let you know.

Comment 14 Fedora Update System 2010-03-03 12:56:06 UTC
antlr3-3.2-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/antlr3-3.2-3.fc12

Comment 15 Mat Booth 2010-03-03 20:49:33 UTC
Created attachment 397658 [details]
Patch Java runtime build to include OSGi meta-information in the manifest.

(In reply to comment #12)
> OK, I'll look at it (if you'd like to do that, you'd be welcomed!:)    


Hi again,

I've found some time to look at this.

Please see the attached patch to your "antlr3.spec" and "antlr-pom.patch" files. By making these changes to the spec and the pom patch, I am now able to use the antlr java runtime as an Eclipse plug-in. :-)


Please see also the scratch build I did:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2029174

Thanks for your time.
Mat

Comment 16 Mat Booth 2010-03-03 20:52:12 UTC
I also uploaded the SRPM, if you wish to look:
http://fedorapeople.org/~mbooth/antlr3-3.2-4.fc14.src.rpm

Comment 17 Mat Booth 2010-03-03 20:57:49 UTC
Ugh, BugZilla doesn't render patches of patches very well so I changed the attachment type to plain text:

https://bugzilla.redhat.com/attachment.cgi?id=397658

Comment 18 Fedora Update System 2010-03-06 03:50:40 UTC
antlr3-3.2-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update antlr3'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/antlr3-3.2-3.fc12

Comment 19 Milos Jakubicek 2010-03-08 08:09:53 UTC
Mat, can you check:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2037337

thank you for the work.

Comment 20 Mat Booth 2010-03-11 11:19:28 UTC
Hi,

The build at:
http://koji.fedoraproject.org/koji/buildinfo?buildID=160609

Works brilliantly, thank you. Is there any chance you can get this into F13?

Also, thanks for reviewing my patch so quickly. :-)

Comment 21 Milos Jakubicek 2010-03-11 12:03:18 UTC
Definitely, an F13 build is already here:

http://koji.fedoraproject.org/koji/buildinfo?buildID=160816

..and F12 will be done as soon as I get the build root override again.

Comment 22 Fedora Update System 2010-03-11 12:06:51 UTC
antlr3-3.2-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/antlr3-3.2-4.fc13

Comment 23 Fedora Update System 2010-03-11 13:28:30 UTC
antlr3-3.2-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2010-04-03 04:51:00 UTC
antlr3-3.2-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.